package net.sf.jasperreports.charts.fill;

import java.awt.Color;
import java.util.List;
import net.sf.jasperreports.charts.JRDataRange;
import net.sf.jasperreports.charts.JRMeterPlot;
import net.sf.jasperreports.charts.JRValueDisplay;
import net.sf.jasperreports.engine.JRChartPlot;
import net.sf.jasperreports.engine.fill.JRFillChartPlot;
import net.sf.jasperreports.engine.fill.JRFillObjectFactory;

public class JRFillMeterPlot extends JRFillChartPlot implements JRMeterPlot {
  public JRFillMeterPlot(JRMeterPlot meterPlot, JRFillObjectFactory factory) {
    super((JRChartPlot)meterPlot, factory);
  }
  
  public JRDataRange getDataRange() {
    return ((JRMeterPlot)this.parent).getDataRange();
  }
  
  public JRValueDisplay getValueDisplay() {
    return ((JRMeterPlot)this.parent).getValueDisplay();
  }
  
  public byte getShape() {
    return ((JRMeterPlot)this.parent).getShape();
  }
  
  public List getIntervals() {
    return ((JRMeterPlot)this.parent).getIntervals();
  }
  
  public int getMeterAngle() {
    return ((JRMeterPlot)this.parent).getMeterAngle();
  }
  
  public String getUnits() {
    return ((JRMeterPlot)this.parent).getUnits();
  }
  
  public double getTickInterval() {
    return ((JRMeterPlot)this.parent).getTickInterval();
  }
  
  public Color getMeterBackgroundColor() {
    return ((JRMeterPlot)this.parent).getMeterBackgroundColor();
  }
  
  public Color getNeedleColor() {
    return ((JRMeterPlot)this.parent).getNeedleColor();
  }
  
  public Color getTickColor() {
    return ((JRMeterPlot)this.parent).getTickColor();
  }
}
